// creator  : weidu.exe (version 23100)
// argument : BRILLA.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~BRILLA~
//////////////////////////////////////////////////
// WARNING: this file contains non-trivial WEIGHTs
//////////////////////////////////////////////////

IF WEIGHT #2 /* Triggers after states #: 9 even though they appear after this state */
~NumTimesTalkedTo(0)
~ THEN BEGIN 0 // from:
  SAY #7456 /* ~Strong Arm +2~ */
  IF ~ReactionGT(LastTalkedToBy,NEUTRAL_UPPER)
~ THEN REPLY #7465 /* ~My metamorphosis was troubling but now I am restored. Now it is time for proper payment of the witnesses to my shame. Now it's time for you to die.~ */ GOTO 1
  IF ~ReactionLT(LastTalkedToBy,FRIENDLY_LOWER)
~ THEN REPLY #7466 /* ~Edwin, you've always been a verbose charlatan. Your maudlin skills barely manifest a lowly cantrip, never mind magics to shake the earth.~ */ GOTO 2
  IF ~ReactionGT(LastTalkedToBy,NEUTRAL_UPPER)
~ THEN REPLY #7467 /* ~Once you might have been a daunting foe, but no longer. I am more than able to deal with the likes of you!~ */ GOTO 3
  IF ~ReactionLT(LastTalkedToBy,FRIENDLY_LOWER)
~ THEN REPLY #7468 /* ~Mass Cure~ */ GOTO 4
  IF ~~ THEN REPLY #7469 /* ~Mass Cure (Necromancy) 
Level: 5
Sphere: Healing 
Range: Sight of caster 
Duration: Permanent 
Casting Time: 5 
Area of Effect: 30 foot radius
Saving Throw: None 

When casting this spell, the priest must picture the faces of his fellow party members clearly and focus on the unity of the group.  Upon completion, all party members within 30 foot radius of the caster are healed 1d8 + 1/level hit points.  
Curing is permanent only insofar as the creature does not sustain further damage; caused wounds will heal - or can be cured - just as any normal injury. 
~ */ GOTO 5
  IF ~ReactionLT(LastTalkedToBy,FRIENDLY_LOWER)
Gender(LastTalkedToBy,MALE)
~ THEN REPLY #7470 /* ~(Thank the gods he is not a better poet.  This is one tale we would rather not see immortalized in print!)~ [EDWINW38] */ GOTO 6
  IF ~ReactionGT(LastTalkedToBy,NEUTRAL_UPPER)
Gender(LastTalkedToBy,MALE)
~ THEN REPLY #7471 /* ~Nalia, you are aware that adversity has the effect of eliciting talents, which otherwise would have lain dormant?  What are yours, pampered one?  Those talents lay abundantly inconspicuous...~ [EDWIN52] */ GOTO 7
END

IF ~~ THEN BEGIN 1 // from: 0.0
  SAY #7457 /* ~Ripper +2~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 2 // from: 0.1
  SAY #7458 /* ~Heartseeker +3~ */
  IF ~~ THEN DO ~CreateCreature("GUARD",[1482.933])
CreateCreature("GUARD",[1482.933])
CreateCreature("GUARD",[1482.933])
EscapeArea()
~ EXIT
END

IF ~~ THEN BEGIN 3 // from: 0.2
  SAY #7459 /* ~Anomen Delryn, son of Cor, I come as the bearer of dire news. Your father requests your presence at his estate.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 4 // from: 0.3
  SAY #7460 /* ~Greetings again, friends of Edwin. The guise as a woman reeks of shabby amateur glamers. The fix is in, Edwin. Your time here is done.~ */
  IF ~~ THEN DO ~CreateCreature("GUARD",[1482.933])
CreateCreature("GUARD",[1482.933])
CreateCreature("GUARD",[1482.933])
EscapeArea()
~ EXIT
END

IF ~~ THEN BEGIN 5 // from: 0.4
  SAY #7461 /* ~What? I've no idea of what you are talking about. (What is this fool babbling to me for?)~ */
  IF ~~ THEN DO ~CreateCreature("GUARD",[1482.933])
CreateCreature("GUARD",[1482.933])
CreateCreature("GUARD",[1482.933])
EscapeArea()
~ EXIT
END

IF ~~ THEN BEGIN 6 // from: 0.5
  SAY #7462 /* ~In your own inimitable fashion, Edwin, you are prodigious... at lying. Certainly not at magic or spinning wholly credible yarns.~ */
  IF ~~ THEN DO ~CreateCreature("GUARD",[1482.933])
CreateCreature("GUARD",[1482.933])
CreateCreature("GUARD",[1482.933])
EscapeArea()
~ EXIT
END

IF ~~ THEN BEGIN 7 // from: 0.6
  SAY #7463 /* ~Er... I am no Edwin, as you claim. I know him not. He sounds like a worthy mage of distinction, and I am probably weaker having not made his acquaintance.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #3 /* Triggers after states #: 9 even though they appear after this state */
~NumTimesTalkedTo(1)
~ THEN BEGIN 8 // from:
  SAY #7464 /* ~Gods! This fictional world you live in must be a glorious place, Edwin. But in our world, I'm going to reveal your true nature with this dweomer.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #0 ~StateCheck(Myself,STATE_CHARMED)
~ THEN BEGIN 9 // from:
  SAY #7472 /* ~Edwin, I was not pampered, cajoled or spoiled!  True, I wanted for little, but yearned for more than wandering about estates.  Is it not true that you're of noble birthright yourself?  Calling the kettle Red, Wizard?~ [NALIA59] */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 10 // from:
  SAY #8951 /* ~He has a different view of it. He claims it was for the best and that it was a mutual decision.~ */
  IF ~~ THEN EXIT
END
